datablock AudioProfile(HHFireSound)
{
   filename    = "./HHfire.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(HHboltSound)
{
   filename    = "./HHbolt.wav";
   description = AudioClose3d;
   preload = true;
};
datablock AudioProfile(HHLaserSound)
{
  filename = "./laser.wav";
  description = AudioClosest3d;
  preload = true;
};
datablock ParticleData(HHFlashParticle)
{
  dragCoefficient = 0;
  gravityCoefficient = 0;
  inheritedVelFactor = 1;
  constantAcceleration = 0;
  lifetimeMS = 30;
  lifetimeVarianceMS = 0;
  textureName = "base/data/particles/cloud";
  spinSpeed = 50;
  spinRandomMin = -500;
  spinRandomMax = 500;
  colors[0] = "1 1 1 1";
  colors[1] = "0.4 0.4 0.4 0.5";
  colors[2] = "0.2 0.2 0.2 0";
  sizes[0] = 0.1;
  sizes[1] = 0.2;
  sizes[2] = 0;
  times[9] = 0;
  times[1] = 0.3;
  times[2] = 1;
  useInvAlpha = false;
};
datablock ParticleEmitterData(HHFlashEmitter)
{
  uiName = "";
  ejectionPeriodMS = 3;
  periodVarianceMS = 0;
  ejectionVelocity = 50;
  velocityVariance = 0;
  ejectionOffset = 0;
  thetaMin = 0;
  thetaMax = 10;
  phiReferenceVel = 0;
  phiVariance = 360;
  overrideAdvance = false;
  particles = "HHFlashParticle";
};
datablock ParticleData(HHLaserParticle)
{
   dragCoefficient      = 5;
   gravityCoefficient   = -0.0;
   inheritedVelFactor   = 0;
   constantAcceleration = 0.0;
   lifetimeMS           = 66;
   lifetimeVarianceMS   = 0;
   textureName          = "base/data/particles/dot";
   spinSpeed           = 0.0;
   spinRandomMin        = 0.0;
   spinRandomMax        = 0.0;
  		colors[0]	= "0.900 0.000 0.000 1.000";
		colors[1]	= "0.900 0.000 0.000 1.000";
		colors[2]	= "0.900 0.000 0.000 1.000";
   sizes[0]      = 0.05;
   sizes[1]      = 0.05;
   sizes[2]      = 0.05;
 
    	times[0] = 0;
   	times[1] = 1;

   useInvAlpha = false;
};

datablock ParticleEmitterData(HHLaserEmitter)
{
   ejectionPeriodMS = 1;
   periodVarianceMS = 0;
   ejectionVelocity = 88.0;
   velocityVariance = 0.0;
   ejectionOffset   = 0.0;
   thetaMin         = 0;
   thetaMax         = 0;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   particles = "HHLaserParticle";
};
AddDamageType("HHHeadshot",   '<bitmap:add-ons/Weapon_HitmansHeatmaker/CI_headshot> %1',    '%2 <bitmap:add-ons/Weapon_HitmansHeatmaker/CI_headshot> %1',0.5,1);
datablock ProjectileData(HHProjectile)
{
   projectileShapeName = "Add-ons/Weapon_Gun/bullet.dts";
   directDamage        = 100;
   directDamageType    = $DamageType::HHHeadshot;

   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 1;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse             = 0;
   verticalImpulse          = 0;
   explosion           = gunExplosion;

   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";
   

};
AddDamageType("HH",   '<bitmap:Add-ons/Weapon_HitmansHeatmaker/CI_HH> %1',    '%2 <bitmap:Add-ons/Weapon_HitmansHeatmaker/CI_HH> %1',0.5,1);
datablock ProjectileData(HHProjectile)
{
   projectileShapeName = "add-ons/Weapon_Gun/bullet.dts";
   directDamage        = 25;
   directDamageType    = $DamageType::HH;


   brickExplosionRadius = 0;
   brickExplosionImpact = true;          //destroy a brick if we hit it directly?
   brickExplosionForce  = 10;
   brickExplosionMaxVolume = 1;          //max volume of bricks that we can destroy
   brickExplosionMaxVolumeFloating = 1;  //max volume of bricks that we can destroy if they aren't connected to the ground

   impactImpulse             = 0;
   verticalImpulse          = 0;
   explosion           = gunExplosion;


   muzzleVelocity      = 200;
   velInheritFactor    = 1;

   armingDelay         = 00;
   lifetime            = 4000;
   fadeDelay           = 3500;
   bounceElasticity    = 0.5;
   bounceFriction      = 0.20;
   isBallistic         = false;
   gravityMod = 0.0;

   hasLight    = false;
   lightRadius = 3.0;
   lightColor  = "0 0 0.5";
   

};


//////////
// item //
//////////
datablock ItemData(HHItem) 
{
        category = "Weapon";  // Mission editor category
        className = "Weapon"; // For inventory system

         // Basic Item Properties
        shapeFile = "./Hitman'sHeatmaker.dts";
        rotate = false;
        mass = 1;
        density = 0.2;
        elasticity = 0.2;
        friction = 0.6;
        emap = true;

        //gui stuff
        uiName = "Hitmans Heatmaker";
        iconName = "./UI_HH";
        doColorShift = false;
        colorShiftColor = "1 1 1 1.000";

         // Dynamic properties defined by the scripts
        image = HHImage;
        canDrop = true;
                   maxAmmo = 10; 
   canReload = 1;
};




datablock ShapeBaseImageData(HHImage)
{
   // Basic Item properties
   shapeFile = "./Hitman'sHeatmaker.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   // When firing from a point offset from the eye, muzzle correction
   // will adjust the muzzle vector to point to the eye LOS point.
   // Since this weapon doesn't actually fire from the muzzle point,
   // we need to turn this off.  
   correctMuzzleVector = true;

   // Add the WeaponImage namespace as a parent, WeaponImage namespace
   // provides some hooks into the inventory system.
   className = "WeaponImage";

   // Projectile && Ammo.
   item = HHItem;
   ammo = " ";
   projectile = HHProjectile;
   projectileType = Projectile;

        casing = GunShellDebris;
        shellExitDir        = "1.0 -1.3 1.0";
        shellExitOffset     = "0 0 0";
        shellExitVariance   = 15.0;        
        shellVelocity       = 7.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = "1 1 1 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
// Initial start up state
              stateName[0]                            = "Activate";
        stateTimeoutValue[0]                    = 0.67;
//        stateSequence[0]                         = "Use";
        stateTransitionOnTimeout[0]             = "LoadCheckA";
        stateSound[0]                                  = weaponSwitchSound;

        stateName[1]                            = "Ready";
       stateTransitionOnTriggerDown[1]         = "Fire";
        stateTransitionOnNoAmmo[1]                = "ReloadCheckA";
        stateAllowImageChange[1]                = true;

        stateName[2]                            = "Fire";
        stateTransitionOnTimeout[2]             = "Smoke";
        stateTimeoutValue[2]                    = 0.1;
        stateFire[2]                            = true;
        stateAllowImageChange[2]                = false;
//        stateSequence[2]                        = "Fire";
        stateScript[2]                          = "onFire";
        stateWaitForTimeout[2]                          = true;
        stateEmitter[2]                                  = HHFlashEmitter;
        stateEmitterTime[2]                          = 0.05;
        stateEmitterNode[2]                          = "muzzleNode";
        stateSound[2]                                  = HHfireSound;

        stateName[3]                                   = "Smoke";
        stateEmitter[3]                                  = gunSmokeEmitter;
        stateEmitterTime[3]                          = 0.1;
        stateEmitterNode[3]                          = "muzzleNode";
        stateTimeoutValue[3]                    = 0.2;
        stateTransitionOnTimeout[3]             = "Eject";

        stateName[4]                                  = "Eject";
        stateTimeoutValue[4]                          = 0.7;
        stateTransitionOnTimeout[4]                  = "LoadCheckA";
        stateWaitForTimeout[4]                          = true;
        stateEjectShell[4]                         = true;
        stateSequence[4]                        = "Cock";
        stateSound[4]                                  = HHBoltSound;
        stateScript[4]                          = "onEject";
        
        stateName[5]                                = "LoadCheckA";
        stateScript[5]                                = "onLoadCheck";
        stateTimeoutValue[5]                        = 0.01;
        stateTransitionOnTimeout[5]                = "LoadCheckB";
                                                
        stateName[6]                                = "LoadCheckB";
        stateTransitionOnAmmo[6]                = "Ready";
        stateTransitionOnNoAmmo[6]                = "ForceReload";
        
        stateName[7]                                = "ReloadCheckA";
        stateScript[7]                                = "onReloadCheck";
        stateTimeoutValue[7]                        = 0.01;
        stateTransitionOnTimeout[7]                = "ReloadCheckB";
                                                
        stateName[8]                                = "ReloadCheckB";
        stateTransitionOnAmmo[8]                = "CompleteReload";
        stateTransitionOnNoAmmo[8]                = "Reload";
                                                
        stateName[9]                                = "ForceReload";
        stateTransitionOnTimeout[9]             = "ForceReloaded";
        stateTimeoutValue[9]                        = 0.3;
//        stateSequence[9]                        = "Reload";
        stateSound[9]                                = HHBlock_MoveBrick_Sound;
        stateScript[9]                                = "onReloadStart";
        
        stateName[10]                                = "ForceReloaded";
        stateTransitionOnTimeout[10]             = "ReloadCheckA";
        stateTimeoutValue[10]                        = 0.2;
        stateScript[10]                                = "onReloaded";
        
        stateName[11]                                = "Reload";
        stateTransitionOnTimeout[11]             = "Reloaded";
        stateTransitionOnTriggerDown[11]        = "Fire";
        stateWaitForTimeout[11]                        = false;
        stateTimeoutValue[11]                        = 0.53;
//        stateSequence[11]                        = "Fire";
        stateSound[11]                                = HHBlock_MoveBrick_Sound;
        stateScript[11]                                = "onReloadStart";
        
        stateName[12]                                = "Reloaded";
        stateTransitionOnTimeout[12]             = "ReloadCheckA";
        stateTransitionOnTriggerDown[12]        = "Fire";
        stateWaitForTimeout[12]                        = false;
        stateTimeoutValue[12]                        = 0.0;
        stateScript[12]                                = "onReloaded";

        stateName[13]                                  = "CompleteReload";
        stateTimeoutValue[13]                          = 0.5;
        stateTransitionOnTriggerUp[13]                  = "Ready";
        stateWaitForTimeout[13]                          = true;
        stateSequence[13]                        = "Fire";
        stateSound[13]                                  = HHboltSound;
        stateScript[13]                          = "onEject";
};

function HHImage::onReloadCheck(%this,%obj,%slot)
{
 if(%obj.toolAmmo[%obj.currTool] < %this.item.maxAmmo && %this.item.maxAmmo > 0 && %obj.getState() !$= "Dead")
  %obj.setImageAmmo(%slot,0);
 else
  %obj.setImageAmmo(%slot,1);
}
function HHImage::onReloaded(%this,%obj,%slot)
{
 %obj.toolAmmo[%obj.currTool]++;
        %obj.setImageAmmo(%slot,1);
 commandToClient(%obj.client,'bottomPrint',"<just:right><font:impact:38>\c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ "10 " @ "", 4, 2, 3, 4);
}
function HHImage::onReloadStart(%this,%obj,%slot)
{
        %obj.playThread(2, shiftLeft);
}

function HHImage::onUnMount(%this,%obj,%slot)
{
        %obj.playThread(2, root);
}

function HHImage::onFire(%this,%obj,%slot)
{ 
        %obj.toolAmmo[%obj.currTool]--;
        commandToClient(%obj.client,'bottomPrint',"<color:0aa000><just:right><font:impact:38>\c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ "10 " @ "", 4, 2, 3, 4); 

        if(%obj.getDamagePercent() < 1.0)
                %obj.playThread(2, plant);
                
%projectile = %this.projectile;
  %spread = 0.0020;
  %shellcount = 1;
  for(%shell=0;%shell<%shellcount;%shell++)
  {
    %vector = %obj.getMuzzleVector(%slot);
    %objectVelocity = %obj.getVelocity();
    %vector1 = VectorScale(%vector,%projectile.muzzleVelocity);
    %vector2 = VectorScale(%objectVelocity,%projectile.velInheritFactor);
    %velocity = VectorAdd(%vector1,%vector2);
    %x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
    %velocity = MatrixMulVector(%mat,%velocity);
    %p = new (%this.projectileType)()
    {
      dataBlock = %projectile;
      initialVelocity = %velocity;
      initialPosition = %obj.getMuzzlePoint(%slot);
      sourceObject = %obj;
      sourceSlot = %slot;
      client = %obj.client;
    };
   MissionCleanup.add(%p);
  return %p;
  }
}

function HHProjectile::Damage(%this,%obj,%col,%fade,%pos,%normal)
{
  if(%col.getClassName() $="Player" || %col.getClassName() $= "AIPlayer")
  {
    if(%col.getClassName() $= "AIPlayer")
    {
      %oldClient = %col.client;
      %col.client = BotConnection;
      %hitBoxList = getHitbox(%obj,%col,%pos);
      %col.client = %oldClient;
    }
    else
    {
      %hitBoxList = getHitbox(%obj,%col,%pos);
    }
    if(strReplace(%hitBoxList,"headskin","BAM") $= %hitBoxList)
    {
      parent::Damage(%this,%obj,%col,%fade,%pos,%normal);
    }
    else
    {
      %col.damage(%obj,%pos,120 / %obj.getScale(),$DamageType::HHHeadshot);
    }
  }
  else
  {
    parent::Damage(%this,%obj,%col,%fade,%pos,%normal);
  }
}
datablock ShapeBaseImageData(HHLaserImage)
{
   // Basic Item properties
   shapeFile = "./Hitman'sHeatmaker.dts";
   emap = true;

   // Specify mount point & offset for 3rd person, and eye offset
   // for first person rendering.
   mountPoint = 0;
   offset = "0 0 0";
   eyeOffset = 0; //"0.7 1.2 -0.5";
   rotation = eulerToMatrix( "0 0 0" );

   correctMuzzleVector = true;

 
   className = "WeaponImage";

   // Projectile && Ammo.
   item = HHItem;
   ammo = " ";
   projectile = HHProjectile;
   projectileType = Projectile;

        casing = GunShellDebris;
        shellExitDir        = "1.0 -1.3 1.0";
        shellExitOffset     = "0 0 0";
        shellExitVariance   = 15.0;        
        shellVelocity       = 7.0;

   //melee particles shoot from eye node for consistancy
   melee = false;
   //raise your arm up or not
   armReady = true;

   doColorShift = true;
   colorShiftColor = "1 1 1 1.000";

   //casing = " ";

   // Images have a state system which controls how the animations
   // are run, which sounds are played, script callbacks, etc. This
   // state system is downloaded to the client so that clients can
   // predict state changes and animate accordingly.  The following
   // system supports basic ready->fire->reload transitions as
   // well as a no-ammo->dryfire idle state.

   // Initial start up state
// Initial start up state
              stateName[0]                            = "Activate";
        stateTimeoutValue[0]                    = 0.67;
//        stateSequence[0]                         = "Use";
        stateTransitionOnTimeout[0]             = "LoadCheckA";
        stateSound[0]                                  = HHLaserSound;

        stateName[1]                            = "Ready";
       stateTransitionOnTriggerDown[1]         = "Fire";
        stateTransitionOnNoAmmo[1]                = "ReloadCheckA";
        stateAllowImageChange[1]                = true;
		 stateEmitter[1]                = HHLaserEmitter;
 	stateEmitterNode[1]		= "laser";
        stateEmitterTime[1]            = 300;

        stateName[2]                            = "Fire";
        stateTransitionOnTimeout[2]             = "Smoke";
        stateTimeoutValue[2]                    = 0.1;
        stateFire[2]                            = true;
        stateAllowImageChange[2]                = false;
//        stateSequence[2]                        = "Fire";
        stateScript[2]                          = "onFire";
        stateWaitForTimeout[2]                          = true;
        stateEmitter[2]                                  = HHFlashEmitter;
        stateEmitterTime[2]                          = 0.05;
        stateEmitterNode[2]                          = "muzzleNode";
        stateSound[2]                                  = HHfireSound;

        stateName[3]                                   = "Smoke";
        stateEmitter[3]                                  = gunSmokeEmitter;
        stateEmitterTime[3]                          = 0.1;
        stateEmitterNode[3]                          = "muzzleNode";
        stateTimeoutValue[3]                    = 0.2;
        stateTransitionOnTimeout[3]             = "Eject";

        stateName[4]                                  = "Eject";
        stateTimeoutValue[4]                          = 0.7;
        stateTransitionOnTimeout[4]                  = "LoadCheckA";
        stateWaitForTimeout[4]                          = true;
        stateEjectShell[4]                         = true;
        stateSequence[4]                        = "Cock";
        stateSound[4]                                  = HHBoltSound;
        stateScript[4]                          = "onEject";
        
        stateName[5]                                = "LoadCheckA";
        stateScript[5]                                = "onLoadCheck";
        stateTimeoutValue[5]                        = 0.01;
        stateTransitionOnTimeout[5]                = "LoadCheckB";
                                                
        stateName[6]                                = "LoadCheckB";
        stateTransitionOnAmmo[6]                = "Ready";
        stateTransitionOnNoAmmo[6]                = "ForceReload";
        
        stateName[7]                                = "ReloadCheckA";
        stateScript[7]                                = "onReloadCheck";
        stateTimeoutValue[7]                        = 0.01;
        stateTransitionOnTimeout[7]                = "ReloadCheckB";
                                                
        stateName[8]                                = "ReloadCheckB";
        stateTransitionOnAmmo[8]                = "CompleteReload";
        stateTransitionOnNoAmmo[8]                = "Reload";
                                                
        stateName[9]                                = "ForceReload";
        stateTransitionOnTimeout[9]             = "ForceReloaded";
        stateTimeoutValue[9]                        = 0.3;
//        stateSequence[9]                        = "Reload";
        stateSound[9]                                = HHBlock_MoveBrick_Sound;
        stateScript[9]                                = "onReloadStart";
        
        stateName[10]                                = "ForceReloaded";
        stateTransitionOnTimeout[10]             = "ReloadCheckA";
        stateTimeoutValue[10]                        = 0.2;
        stateScript[10]                                = "onReloaded";
        
        stateName[11]                                = "Reload";
        stateTransitionOnTimeout[11]             = "Reloaded";
        stateTransitionOnTriggerDown[11]        = "Fire";
        stateWaitForTimeout[11]                        = false;
        stateTimeoutValue[11]                        = 0.53;
//        stateSequence[11]                        = "Fire";
        stateSound[11]                                = HHBlock_MoveBrick_Sound;
        stateScript[11]                                = "onReloadStart";
        
        stateName[12]                                = "Reloaded";
        stateTransitionOnTimeout[12]             = "ReloadCheckA";
        stateTransitionOnTriggerDown[12]        = "Fire";
        stateWaitForTimeout[12]                        = false;
        stateTimeoutValue[12]                        = 0.0;
        stateScript[12]                                = "onReloaded";

        stateName[13]                                  = "CompleteReload";
        stateTimeoutValue[13]                          = 0.5;
        stateTransitionOnTriggerUp[13]                  = "Ready";
        stateWaitForTimeout[13]                          = true;
        stateSequence[13]                        = "Fire";
        stateSound[13]                                  = HHboltSound;
        stateScript[13]                          = "onEject";
};

function HHLaserImage::onReloadCheck(%this,%obj,%slot)
{
 if(%obj.toolAmmo[%obj.currTool] < %this.item.maxAmmo && %this.item.maxAmmo > 0 && %obj.getState() !$= "Dead")
  %obj.setImageAmmo(%slot,0);
 else
  %obj.setImageAmmo(%slot,1);
}
function HHLaserImage::onReloaded(%this,%obj,%slot)
{
 %obj.toolAmmo[%obj.currTool]++;
        %obj.setImageAmmo(%slot,1);
 commandToClient(%obj.client,'bottomPrint',"<just:right><font:impact:38>\c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ "10 " @ "", 4, 2, 3, 4);
}
function HHLaserImage::onReloadStart(%this,%obj,%slot)
{
        %obj.playThread(2, shiftLeft);
}

function HHLaserImage::onUnMount(%this,%obj,%slot)
{
        %obj.playThread(2, root);
}

function HHLaserImage::onFire(%this,%obj,%slot)
{ 
        %obj.toolAmmo[%obj.currTool]--;
        commandToClient(%obj.client,'bottomPrint',"<color:0aa000><just:right><font:impact:38>\c6" @ %obj.toolAmmo[%obj.currTool] @ " / " @ "10 " @ "", 4, 2, 3, 4); 

        if(%obj.getDamagePercent() < 1.0)
                %obj.playThread(2, plant);
                
%projectile = %this.projectile;
  %spread = 0.0000;
  %shellcount = 1;
  for(%shell=0;%shell<%shellcount;%shell++)
  {
    %vector = %obj.getMuzzleVector(%slot);
    %objectVelocity = %obj.getVelocity();
    %vector1 = VectorScale(%vector,%projectile.muzzleVelocity);
    %vector2 = VectorScale(%objectVelocity,%projectile.velInheritFactor);
    %velocity = VectorAdd(%vector1,%vector2);
    %x = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %y = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %z = (getRandom() - 0.5) * 10 * 3.1415926 * %spread;
    %mat = MatrixCreateFromEuler(%x @ " " @ %y @ " " @ %z);
    %velocity = MatrixMulVector(%mat,%velocity);
    %p = new (%this.projectileType)()
    {
      dataBlock = %projectile;
      initialVelocity = %velocity;
      initialPosition = %obj.getMuzzlePoint(%slot);
      sourceObject = %obj;
      sourceSlot = %slot;
      client = %obj.client;
    };
   MissionCleanup.add(%p);
  return %p;
  }
}
package HHSwitch
{
          function Armor::onTrigger(%this, %player, %slot, %val)

        {

                if(isObject(%player.getMountedImage(0)))

                {

                        if((%player.getMountedImage(0).getName() $= "HHImage" || %player.getMountedImage(0).getName() $= "HHLaserImage") && %slot $= 4 && %val)

                        {

                                switch$(%player.getMountedImage(0).getName())

                                {

        

                                        case "HHImage":

                                                %player.mountImage(HHlaserImage,0);

                                        case "HHLaserImage":

                                                %player.mountImage(HHImage,0);

                                }

                         

                        }

                        else

                        {

                                Parent::onTrigger(%this, %player, %slot, %val);

                        }

                }

                else

                {

                        Parent::onTrigger(%this, %player, %slot, %val);

                }

        }
};
ActivatePackage(HHSwitch);

function HHlaserImage::onMount(%this,%obj,%slot)
{
        %obj.client.player.Hitmansheatmaker_lastDatablock = %obj.client.player.getDatablock();

        %obj.client.player.setDataBlock("PlayerFocus");
        
}

function HHLaserImage::onUnMount(%this,%obj,%slot)
{        
        
        %client = %obj.client;
                if(isObject(%client.player.HitmanHeatmaker_lastDatablock))
                {
                        %client.player.setDataBlock(%client.player.Hitmanheatmaker_lastDatablock);
                }else{
                       %client.player.setDataBlock("PlayerStandardArmor");
                }
}

